CREATE OR REPLACE PROCEDURE ADD_CAT_EXAMENES_PROCE 
            (COD_EXA in VARCHAR2,COSTO_EXAMEN in FLOAT,NOMBRE_EXAMEN IN VARCHAR2,TIPO_EXAMEN in VARCHAR2) IS
BEGIN
    INSERT INTO CATALOGODEEXAMENES (COD_EXA,COSTO_EXAMEN,NOMBRE_EXAMEN,TIPO_EXAMEN)
    VALUES (COD_EXA,COSTO_EXAMEN,NOMBRE_EXAMEN,TIPO_EXAMEN);
END;

CREATE SEQUENCE CAT_EXAMENES_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CAT_EXAMENES_TRIGGER  
   before insert on "CLINICA"."CATALOGODEEXAMENES" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CAT_EXAMEN" is null then 
         select CAT_EXAMENES_SEQUENCE.nextval into :NEW."ID_CAT_EXAMEN" from dual; 
      end if; 
   end if; 
end;

